using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Drawing;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using TopWinCMS.WebControls;
using TopWinCMS.BLL;

namespace TopWinCMS.WebUI.Admin.Counter
{
    public partial class Counter_Hour : System.Web.UI.Page
    {
        protected int AllCount;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                RightsCheck.CheckWorkPower("Count_Read");
                Bind();
            }
        }

        private void Bind()
        {
            Dictionary<int, int> dic = new CounterDiaryManage().Hour();

            GV_List.DataSource = dic;
            GV_List.DataBind();

            for (int i = 1; i < 13; i++)
            {
                AllCount += dic[i];
            }
        }

         
    }
}
